# Project: proj_g
# Makefile created by Dev-C++ 5.11

CPP      = g++.exe -D__DEBUG__
CC       = gcc.exe -D__DEBUG__
WINDRES  = windres.exe
OBJ      = main.o Row.o Attribute.o File.o
LINKOBJ  = main.o Row.o Attribute.o File.o
LIBS     = -L"D:/programs/dev-c++/Dev-Cpp/MinGW64/lib" -L"D:/programs/dev-c++/Dev-Cpp/MinGW64/x86_64-w64-mingw32/lib" -static-libgcc -g3
INCS     = -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/include" -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/x86_64-w64-mingw32/include" -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/lib/gcc/x86_64-w64-mingw32/4.9.2/include"
CXXINCS  = -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/include" -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/x86_64-w64-mingw32/include" -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/lib/gcc/x86_64-w64-mingw32/4.9.2/include" -I"D:/programs/dev-c++/Dev-Cpp/MinGW64/lib/gcc/x86_64-w64-mingw32/4.9.2/include/c++"
BIN      = proj_g.exe
CXXFLAGS = $(CXXINCS) -g3
CFLAGS   = $(INCS) -g3
RM       = rm.exe -f

.PHONY: all all-before all-after clean clean-custom

all: all-before $(BIN) all-after

clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o $(BIN) $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

Row.o: Row.cpp
	$(CPP) -c Row.cpp -o Row.o $(CXXFLAGS)

Attribute.o: Attribute.cpp
	$(CPP) -c Attribute.cpp -o Attribute.o $(CXXFLAGS)

File.o: File.cpp
	$(CPP) -c File.cpp -o File.o $(CXXFLAGS)
